PHPExcel_RichText

# Class: PHPExcel_RichText_TextElement

Source Location: /PHPExcel/RichText/TextElement.php

### Class Overview

PHPExcel_RichText_TextElement

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_RichText_ITextElement

### Methods

- __construct
- getFont
- getHashCode
- getText
- setText
- __clone

### Child classes:

PHPExcel_RichText_Run
  PHPExcel_RichText_Run

### Class Details

[line 34]
PHPExcel_RichText_TextElement

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 48]

`PHPExcel_RichText_TextElement __construct( [string $pText = ''])`

Create a new PHPExcel_RichText_TextElement instance

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_RichText_Run::__construct()
  Create a new PHPExcel_RichText_Run instance

#### Parameters:

string | $pText | Text

[ Top ]

### method getFont [line 79]

`PHPExcel_Style_Font getFont( )`

Get font

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_RichText_Run::getFont()
  Get font

Implementation of:

PHPExcel_RichText_ITextElement::getFont()
  Get font

[ Top ]

### method getHashCode [line 88]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

Overridden in child classes as:

PHPExcel_RichText_Run::getHashCode()
  Get hash code

Implementation of:

PHPExcel_RichText_ITextElement::getHashCode()
  Get hash code

[ Top ]

### method getText [line 59]

`string getText( )`

Get text

#### Tags:

return: | Text
access: | public

Implementation of:

PHPExcel_RichText_ITextElement::getText()
  Get text

[ Top ]

### method setText [line 69]

`PHPExcel_RichText_ITextElement setText( [$pText $pText = ''])`

Set text

#### Tags:

access: | public

Implementation of:

PHPExcel_RichText_ITextElement::setText()
  Set text

#### Parameters:

$pText | $pText | string Text

[ Top ]

### method __clone [line 98]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_RichText_Run::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:11 +0200 by phpDocumentor 1.4.4